const EdgeLibrary = require('edge-library').EdgeLibrary;

const clinical_library_definition = {
    assemblyFile: require('path').join(__dirname, '../bin/PyrusConnectEdge.dll'),
    type: {
        name: 'com.blackpear.pyrusconnect.edge.Facade',
        method: [
            'Name',
            'Version',
            'Post',
            'Get',
            'Config'
        ]
    }
};

const clinicalLibrary = new EdgeLibrary(clinical_library_definition);

exports.clinicalLibrary = clinicalLibrary;

